> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Corners



## OpenAPI

````yaml /openapi.json put /api/v1/games/{game_id}/corners
openapi: 3.1.0
info:
  title: Robotics Event System V4
  version: 4.0.0
servers: []
security: []
paths:
  /api/v1/games/{game_id}/corners:
    put:
      tags:
        - games
      summary: Update Corners
      operationId: update_corners_api_v1_games__game_id__corners_put
      parameters:
        - name: game_id
          in: path
          required: true
          schema:
            type: integer
            title: Game Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CornersUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GameOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CornersUpdate:
      properties:
        red:
          anyOf:
            - type: integer
            - type: 'null'
          title: Red
        yellow:
          anyOf:
            - type: integer
            - type: 'null'
          title: Yellow
        green:
          anyOf:
            - type: integer
            - type: 'null'
          title: Green
        blue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Blue
      type: object
      title: CornersUpdate
    GameOut:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        start_time:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Time
        started:
          type: boolean
          title: Started
        finished:
          type: boolean
          title: Finished
        scored:
          type: boolean
          title: Scored
        league:
          type: boolean
          title: League
        status:
          type: string
          title: Status
        corners:
          items:
            anyOf:
              - type: integer
              - type: 'null'
          type: array
          title: Corners
        corner_names:
          items:
            type: string
          type: array
          title: Corner Names
        corner_ips:
          items:
            anyOf:
              - type: string
              - type: 'null'
          type: array
          title: Corner Ips
        game_points:
          items:
            anyOf:
              - type: integer
              - type: 'null'
          type: array
          title: Game Points
        league_points:
          items:
            anyOf:
              - type: integer
              - type: 'null'
          type: array
          title: League Points
        tournament_round:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tournament Round
        play_order:
          type: integer
          title: Play Order
      type: object
      required:
        - id
        - name
        - start_time
        - end_time
        - started
        - finished
        - scored
        - league
        - status
        - corners
        - corner_names
        - corner_ips
        - game_points
        - league_points
        - tournament_round
        - play_order
      title: GameOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````